%define	name	autotrace
%define	version	0.31.1
%define	release	%mkrel 20

%define	major	4
%define	libname	%mklibname autotrace %{major}

Name:		%{name}
Version:	%{version}
Release:	%{release} 
Summary:	A program for converting bitmap to vector graphics
Group:		Publishing
License:	GPL
URL:		http://autotrace.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source0:	http://prdownload.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0:		autotrace-0.31.1-imagick6.patch.bz2
Patch1:		autotrace-0.31.1-automake18.patch.bz2
BuildRequires:	pstoedit-devel
BuildRequires:	ImageMagick-devel
%if %mdkversion >= 1020
BuildRequires:	multiarch-utils >= 1.0.3
%endif
# (Abel) doesn't work with newer libming
BuildConflicts:	libming-devel
Provides:	fonttracer
Requires:	%{libname} = %{version}

%description
Autotrace is a program for converting bitmap to vector graphics.
Supported formats:

- Input formats: BMP, TGA, PNM, PPM, PGM, PBM and those supported by
  ImageMagick.

- Export formats: Postscript, svg, xfig, swf, pstoedit, emf, dxf, cgm, 
  mif, p2e and sk

%package -n	%{libname}
Summary:	Autotrace libraries
Group:		System/Libraries

%description -n	%{libname}
This package contains the libraries needed to run programs dynamically
linked with autotrace libraries.

%package -n	%{libname}-devel
Summary:	Static libraries and header files for autotrace development
Group:		Development/C
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Obsoletes:	%{name}-devel

%description -n %{libname}-devel
This package contains the static libraries and header files for
developing applications based on autotrace.

%prep
%setup -q
%patch0 -p1 -b .imagick6
%patch1 -p1 -b .automake18

autoconf

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
%if %mdkversion >= 1020
%multiarch_binaries $RPM_BUILD_ROOT%{_bindir}/autotrace-config
%endif

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING FAQ README THANKS
%{_bindir}/autotrace
%{_mandir}/man1/*

%files -n	%{libname}
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n	%{libname}-devel
%defattr(-,root,root)
%doc README
%if %mdkversion >= 1020
%multiarch %{multiarch_bindir}/autotrace-config
%endif
%{_bindir}/autotrace-config
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_libdir}/*.a
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*

%changelog
* Sun Sep 10 2006 Emmanuel Andry <eandry@mandriva.org> 0.31.1-20mdv2007.0
- Rebuild

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.31.1-19mdv2007.0
- Rebuild with latest dbus

* Sun May 21 2006 Emmanuel Andry <eandry@mandriva.org> 0.31.1-18mdk
- rebuilt against new Magick libs

* Fri Feb 24 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.31.1-17mdk
- Rebuild for new ImageMagick

* Wed Feb 08 2006 Frederic Crozat <fcrozat@mandriva.com> 0.31.1-16mdk 
- Rebuild

* Wed Aug 24 2005 Oden Eriksson <oeriksson@mandriva.com> 0.31.1-15mdk
- rebuilt against new Magick libs

* Tue Aug 16 2005 Michael Scherer <misc@mandriva.org> 0.31.1-14mdk
- Rebuild for lack of libdpstk.so.1

* Thu Aug 04 2005 Giuseppe Ghib <ghibo@mandriva.com> 0.31.1-13mdk
- Rebuilt against latest ImageMagick.

* Mon Mar 21 2005 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.31.1-12mdk
- Rebuilt against latest pstoedit.
- multiarchify.

* Sat Feb 05 2005 Abel Cheung <deaddog@mandrake.org> 0.31.1-11mdk
- rebuild

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 0.31.1-10mdk
- P1: Fix warning with automake 1.8

* Mon Dec 27 2004 Abel Cheung <deaddog@mandrake.org> 0.31.1-9mdk 
- Provides "fonttracer" (potrace has same function)
- UTF-8 spec

* Fri Dec 10 2004 Abel Cheung <deaddog@mandrake.org> 0.31.1-8mdk
- Fix BuildRequires
- P0: Fix ImageMagick 6.x detection

* Sat Jul 31 2004 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.31.1-7mdk
- Rebuilt against current ImageMagick.

* Wed Jun 30 2004 Michael Scherer <misc@mandrake.org> 0.31.1-6mdk 
- rebuild for new ImageMagick

* Tue Mar 02 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.31.1-5mdk
- buildrequires
- quiet setup
- rm -rf $RPM_BUILD_ROOT at the beginning of %%install
- cosmetics

* Wed Aug 27 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.31.1-4mdk
- Use %%mklibname.

* Tue Feb 18 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.31.1-3mdk
- Rebuilt.

* Thu Jan 23 2003 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.31.1-2mdk
- Rebuilt.

* Fri Nov 22 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.31.1-1mdk
- Release 0.31.1.

* Thu Sep 12 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.30-2mdk
- added library and includes.
- split package in main and devel.

* Sat Jul 27 2002 Giuseppe Ghibò <ghibo@mandrakesoft.com> 0.30-1mdk
- initial release.
